[<text>
<title>iran vows reprisal for u.s. attack on oil rig</title>
<dateline>    nicosia, oct 19 - </dateline>iran said several people were injured in
monday's u.s. attack on an iranian offshore oil site and vowed
retaliation, tehran radio reported.
    it quoted president ali khamenei as saying, "we will
definitely retaliate and will not leave this american move
unanswered."
    a broadcast monitored in nicosia said several civilian
personnel on the rashadat oil platforms in the gulf east of
qatar were injured when u.s. warships bombarded them this
afternoon. it described damage as "severe."
    washington said four american frigates shelled and
destroyed two iranian platforms at the rashadat (formerly
rostam) field at 1100 gmt on monday in response to friday's
missile attack on a u.s.-flag ship in kuwaiti waters.
    the u.s. said iranians used the platforms for military
pruposes and had fired on an american helicopter from the rigs
earlier this month.
    khamenei denied that the platforms had military gear or
personnel and said the u.s. attack lacked miltary value.
    "with this move mr. reagan has committed a big mistake and
has definitely increased his problems...
 reuter
</text>]